---
title: touchstart
slug: Web/Events/touchstart
tags:
  - Reference
  - events
  - touch
  - touchstart
---
<p>{{DefaultAPISidebar("Touch Events")}}</p>

<p><span class="seoSummary">The <code>touchstart</code> event is fired when one or more touch points are placed on the touch surface.</span></p>

<p>Two types of object can be the target of this event.</p>

<ul>
 <li>{{domxref("Element/touchstart_event", "Element: touchstart")}}</li>
 <li>{{domxref("Document/touchstart_event", "Document: touchstart")}}</li>
</ul>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("TouchEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.ontouchstart", "ontouchstart")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Touch Events', '#event-touchstart')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="Element_touchstart">Element: touchstart</h3>

<p>{{Compat("api.Element.touchstart_event")}}</p>

<h3 id="Document_touchstart">Document: touchstart</h3>

<p>{{Compat("api.Document.touchstart_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Touch_events">Touch events</a></li>
</ul>
